Browser Not Supported

It appears as if you are running a browser that has not been tested for StudyTRAX. Please download and install one that is supported from the list below or choose to proceed anyway, but understand there may be things that do not look or work correctly.


StudyTRAX has only been tested on Internet Explorer 6/7/8 and Firefox 3.5/3.6/4.0/5.0. More than likely you will not have any serious issues in other browsers. There are occasionally small incompatibilities with CSS and JavaScript between different browsers.

It is recommended that you install one of the supported browsers/versions. If you wish to continue to StudyTRAX using your current browser, just click the "Proceed to Login Page" link below. Keep in mind that you may experience problems due to the fact that StudyTRAX has not been tested with your browser.

Proceed to Login Page

Install/Upgrade Browser

Below is a list of supported browsers. It is recommended that you download one of these: